package tutorialJava.examenesEntrenamiento.examen20230902.ejercicio1;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

public class Ejercicio01 {

	public static void main(String[] args) {
		HashMap<String, Object> hm = new HashMap<String, Object>();
		
		// Leer propiedades y almacenar en hashmap
		for (int i = 1; i <= 4; i++) {
			String key = "VALOR_ENTERO_" + i;
			hm.put(key,
				LecturaFicheroPropiedades.getIntProperty(key));
			
			key = "VALOR_STRING_" + i;
			hm.put(key, 
				LecturaFicheroPropiedades.getProperty(key));
		}
		
		// Leer los objetos almacenados en el hashmap
		List<Integer> enteros = new ArrayList<Integer>();
		Iterator<Object> it = hm.values().iterator();
		while (it.hasNext()) {
			Object o = it.next();
			if (o instanceof String) {
				System.out.println("Hay un valor String: " + o.toString());
			}
			else if (o instanceof Integer) {
				 System.out.println("Hay un valor Integer: " + o.toString());
				 enteros.add((Integer) o);
			}
		}
	}

}








